kf6-extra-cmake-modules (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:12:52 +0100

kf6-extra-cmake-modules (6.16.0-0ubuntu2) questing; urgency=medium

  * KDECompilerSettings.cmake: For now do not pass -Wl,--fatal-warnings
    to the linker.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Aug 2025 18:51:28 +0100

kf6-extra-cmake-modules (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:38:59 +0100

kf6-extra-cmake-modules (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:30:43 +0100

kf6-extra-cmake-modules (6.14.0-0ubuntu2) questing; urgency=medium

  * Sync changes from 6.13.0-1
  * Add .gitattributes for git dpkg-mergechangelogs merge driver.

 -- Rik Mills <rikmills@kde.org>  Sun, 11 May 2025 07:47:45 +0100

kf6-extra-cmake-modules (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:55:06 +0100

kf6-extra-cmake-modules (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Remove patches that have been applied upstream.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:33:07 +0200

kf6-extra-cmake-modules (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:49:18 +0000

kf6-extra-cmake-modules (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Replace cross-compilation support patch with a backport of
    upstream’s official solution.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 16:57:04 +0100

kf6-extra-cmake-modules (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:45:14 +0000

kf6-extra-cmake-modules (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:20:19 +0100

kf6-extra-cmake-modules (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 11:14:24 +0000

kf6-extra-cmake-modules (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:44:03 +0000

kf6-extra-cmake-modules (6.8.0-2) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Reduce Build-Depends. (Closes: #1022961)
  * Enable kde_package_app_templates also for crosscompilation. (Closes: #1084874)

 -- Sandro Knauß <hefee@debian.org>  Tue, 10 Dec 2024 23:41:30 +0100

kf6-extra-cmake-modules (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 13:46:57 +0100

kf6-extra-cmake-modules (6.8.0-0ubuntu3) plucky; urgency=medium

  * Need a revision higher than the old extra-cmake-modules source.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 10:28:37 +0000

kf6-extra-cmake-modules (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.8.0)
  * Pass -DBUILD_TESTING=OFF to configure.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 10:01:27 +0000

kf6-extra-cmake-modules (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:22 -0600

kf6-extra-cmake-modules (6.6.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix Vcs-* fields to target the new kf6-extra-cmake-modules repo.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 Sep 2024 23:05:51 +0200

kf6-extra-cmake-modules (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Rename source to kf6-extra-cmake-modules to match what we have for every
    other KF6 package.
  * Drop obsolete Breaks / Replaces.
  * Modernize building by using dh-sequence build-dependencies and dropping
    manually specified addons and buildsystems for dh.
  * New upstream release (6.6.0).
  * Fix permissions of installed files.
  * Drop obsolede lintian override.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 22:58:56 +0200

extra-cmake-modules (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:21:54 +0200

extra-cmake-modules (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Add lintian override for not depending on Python.
  * Review copyright information.
  * Add lintian override for nonsensical built-using-field-on-arch-all-package
    (See #999785).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 00:52:52 +0200

extra-cmake-modules (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:43:48 +0200

extra-cmake-modules (6.1.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0), closes: #1069972.

 -- Patrick Franz <deltaone@debian.org>  Sat, 27 Apr 2024 23:30:30 +0200

extra-cmake-modules (6.0.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Mar 2024 10:11:05 +0100

extra-cmake-modules (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update build-dependencies.
  * Switch back to stable releases.

 -- Patrick Franz <deltaone@debian.org>  Wed, 28 Feb 2024 18:36:02 +0100

extra-cmake-modules (5.249.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.249.0).
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Switch to unstable releases and update the signing keys.
  * Suggest Qt 6 instead of Qt 5.
  * Update descriptions.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Jan 2024 20:25:01 +0100

extra-cmake-modules (5.107.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Remove python3-distutils build-dependency (Closes: #1065857).

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Mar 2024 17:21:58 +0100

extra-cmake-modules (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * New upstream release (5.107.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:23 +0200

extra-cmake-modules (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:45 +0100

extra-cmake-modules (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:20 +0100

extra-cmake-modules (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Bump Standards-Version to 4.6.2, no change required.
  * Refresh patches.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:34:58 +0100

extra-cmake-modules (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:18 +0100

extra-cmake-modules (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop patch add_hurd_as_supported_platform.diff, it should not be
    needed anymore now that we demoted the unsupported platforms error
    to a warning.
  * New upstream release (5.99.0).
  * New upstream release (5.100.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:54 +0100

extra-cmake-modules (5.98.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add patch to demote unsupported platform error to a warning so
    upstream unsupported platforms like Hurd can build in Debian without
    additional hacks.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 05 Oct 2022 13:46:03 +0200

extra-cmake-modules (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Add patch to re-add Hurd as a supported platform. It was lost when
    upstream defined the concept of supported platforms but was
    previously building fine in Debian.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:32 +0200

extra-cmake-modules (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:24 +0200

extra-cmake-modules (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:53 +0200

extra-cmake-modules (5.94.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Drop patch to disable fatal warnings as the issue has been fixed in
    binutils.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Jun 2022 19:38:55 +0200

extra-cmake-modules (5.94.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Add patch to disable fatal warnings as this makes many KDE fail to
    compile on MIPS.

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 19:51:59 +0200

extra-cmake-modules (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:01 +0200

extra-cmake-modules (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:42 +0200

extra-cmake-modules (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 03 Feb 2022 00:03:46 +0100

extra-cmake-modules (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:37 +0900

extra-cmake-modules (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:48:47 +0900

extra-cmake-modules (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:44 +0900

extra-cmake-modules (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:00:05 +0900

extra-cmake-modules (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:52:58 +0900

extra-cmake-modules (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:12:37 +0900

extra-cmake-modules (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Build with hardening=+all build hardening flag.

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:02:40 +0900

extra-cmake-modules (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:16 +0900

extra-cmake-modules (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:31 +0900

extra-cmake-modules (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Drop unused qt build deps (Closes: #981159).
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:26 +0900

extra-cmake-modules (5.78.0-3) unstable; urgency=medium

  * Cherry-pick upstream fix for tar invocation in app templates.

 -- Norbert Preining <norbert@preining.info>  Fri, 22 Jan 2021 22:43:12 +0900

extra-cmake-modules (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:17 +0900

extra-cmake-modules (5.78.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Switch to section devel (Closes: #978006).

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Remove patch tar_command_reproducible.diff, included upstream.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:40 +0900

extra-cmake-modules (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:32 +0900

extra-cmake-modules (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Add myself to Uploaders.
  * Update patches.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:51 +0900

extra-cmake-modules (5.74.0-3) unstable; urgency=medium

  * Team upload to unstable.
  * Add patch to make KDEPackageAppTemplates to create reproducible
    tarball (Closes:#828021).

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:11:24 +0200

extra-cmake-modules (5.74.0-2) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Move documentation own extra-cmake-modules-doc.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 19:14:46 +0200

extra-cmake-modules (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update repository related entries to metadata file.
  * Update Bug-* entries to metadata file.
  * replace dh_linktree with dh_sphinxdoc.
  * Cleanup using for Depends variables.
  * Register documentation with doc-base.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:43:46 +0200

extra-cmake-modules (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Update all instances of source to use new invent.kde.org
    address.
    - Update control Homepage as projects.kde.org is dead.
    - Update copyright Source to point to invent.
    - Update upstream metadata to point to invent.
  * Update jquery path in linktrees to reflect latest
    release path change. Set version in control to make
    sure this change does not impact earlier versions.
    Thanks Norbert Preining.

  [ Sandro Knauß ]
  * New upstream release (5.70.0).
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:55:26 +0200

extra-cmake-modules (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.69.0).
  * Remove unused lintian-override file.
  * Add Rules-Requires-Root: no.
  * Bump compat level to 13.
  * Fix debian-rules-uses-as-needed-linker-flag.
  * Adding sphinxcontrib to B-D.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:53:18 +0200

extra-cmake-modules (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Disable autopkgtest
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:50 -0700

extra-cmake-modules (5.61.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Do not recommend qt5-default (Closes: #928370).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:06 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog extra-cmake-modules-doc`.
